{ gtkNativeInputs }:
attrs: 
let
    gsettingsDir = "${attrs.crateName}-${attrs.version}";
in {
    nativeBuildInputs = gtkNativeInputs;
    postInstall = ''
        install -Dt $out/share/applications resources/otg.desktop
        install -Dt $out/gsettings-schemas/${gsettingsDir}/glib-2.0/schemas resources/com.luminescent-dreams.otg.gschema.xml
        glib-compile-schemas $out/gsettings-schemas/${gsettingsDir}/glib-2.0/schemas
    '';
    # preFixup = ''
    #     gappsWrapperArgs+=(
    #         --prefix XDG_DATA_DIRS : $out/gsettings-schemas/${gsettingsDir}
    #     )
    # '';
}
